> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/webhooks-v2/resend-notifications-by-resource-id",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Resend notifications by resource Id

> Resend notifications by resource Id

Endpoint Permission: Owner, Admin, Non-Signing Admin, Editor, Signer.




## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml post /webhooks/{webhookId}/notifications/resend_by_resource
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /webhooks/{webhookId}/notifications/resend_by_resource:
    post:
      tags:
        - Webhooks V2
      summary: Resend notifications by resource Id
      description: |
        Resend notifications by resource Id

        Endpoint Permission: Owner, Admin, Non-Signing Admin, Editor, Signer.
      operationId: resendNotificationsByResourceId
      parameters:
        - $ref: '#/components/parameters/X-Idempotency-Key'
        - name: webhookId
          description: The ID of the webhook
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ResendNotificationsByResourceIdRequest'
      responses:
        '202':
          description: >-
            Resend notifications by resource request was accepted and is being
            processed
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response: Promise<FireblocksResponse<void>> =
            fireblocks.webhooksV2.resendNotificationsByResourceId(webhooksV2ApiResendNotificationsByResourceIdRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<Void>> response =
            fireblocks.webhooksV2().resendNotificationsByResourceId(resendNotificationsByResourceIdRequest,
            webhookId, idempotencyKey);
        - lang: Python
          source: >-
            response =
            fireblocks.webhooks_v2.resend_notifications_by_resource_id(resend_notifications_by_resource_id_request,
            webhook_id, idempotency_key);
components:
  parameters:
    X-Idempotency-Key:
      name: Idempotency-Key
      in: header
      description: >-
        A unique identifier for the request. If the request is sent multiple
        times with the same idempotency key, the server will return the same
        response as the first request. The idempotency key is valid for 24
        hours.
      required: false
      schema:
        type: string
  schemas:
    ResendNotificationsByResourceIdRequest:
      type: object
      properties:
        resourceId:
          type: string
          description: The resource id to resend notifications for
          example: 44fcead0-7053-4831-a53a-df7fb90d440f
          format: uuid
        excludeStatuses:
          type: array
          description: >
            (optional) List of notification statuses to exclude from the resend
            operation
                - Empty array means all statuses will be included
                - If you want to exclude some statuses, you can use the following example: [ IN_PROGRESS, FAILED ]
                - Default if missing, means all statuses other than "COMPLETED" will be included
          example:
            - IN_PROGRESS
            - FAILED
          items:
            $ref: '#/components/schemas/NotificationStatus'
      required:
        - resourceId
    NotificationStatus:
      type: string
      description: The status of the Notification
      example: COMPLETED
      enum:
        - COMPLETED
        - FAILED
        - IN_PROGRESS
        - ON_HOLD
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````